/*  */
function retmsg_popup_box(path, sval, mode) {
	var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act=ctfmsg';
	$.get(url, '', function(msg) {
		// console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == 'false') {
			alert(ret_msg[0].message);
			return false;
		} else {
			if (ret_msg[0].html_str) {
				$('#popup_box').empty();
				$('#popup_close').show();
				$('#popup_box').append(ret_msg[0].html_str);
				$('#page_popup').popup();
				$('#page_popup').popup('open', { x: 0, y: 0 });
				$('#popup_box').enhanceWithin();
			}
		}
	});
}